# Type alias AsObject

AsObject: {
challenge: string;
offer?: Offer.AsObject;
reserveExactAmount: boolean;
reserveTxHash: string;
reserveTxHex: string;
reserveTxKey: string;
scheduledAmount: string;
scheduledTxHashesList: string[];
splitOutputTxFee: number;
splitOutputTxHash: string;
state: OpenOffer.State;
triggerPrice: number;
}

#### Type declaration

- ##### challenge: string

- ##### `Optional` offer?: Offer.AsObject

- ##### reserveExactAmount: boolean

- ##### reserveTxHash: string

- ##### reserveTxHex: string

- ##### reserveTxKey: string

- ##### scheduledAmount: string

- ##### scheduledTxHashesList: string[]

- ##### splitOutputTxFee: number

- ##### splitOutputTxHash: string

- ##### state: OpenOffer.State

- ##### triggerPrice: number

- Defined in src/protobuf/pb_pb.d.ts:6011

Generated using TypeDoc